﻿using HelloBlazorServer.Models;

namespace HelloBlazorServer.Interfaces
{
    public interface IDatabase<T>
    {
        // Select All
        List<T>? Get();

        Task<List<T>> GetAsync();

        // Select using ID
        T GetDetail(int? id);

        // Create
        void Create(T entity);

        // Update
        void Update(int? id, T entity);

        // Delete
        void Delete(int? id);
    }
}
